package com.style24.scm.support.env;

/**
 * 변경될 소지가 있는 변수 값을 정의
 *
 * @author gagamel
 * @since 2020. 10. 19
 */
public class TssConstants {

	public static final String EXCEL_FOOTER_TITLE = "Copyright(c) 2020 STYLE24, All rights reserved.";

	// 사이트코드
	public static final String SITE_CD = "G047_10";

	// 정산구분상태
	public enum OrdDtlItemStat {

		SALE_PAYMENT_COMPLETE("G720_10"), 			// 판매-결제완료
		SALE_SHIPPING("G720_20"),					// 판매-배송완료
		SALE_RETURN_CANCEL("G720_30"), 				// 환입-취소완료
		SALE_RETURN_SOLDOUT_CANCEL("G720_40"),		// 환입-품절취소
		SALE_RETURN_RETURN_COMPLETE("G720_50"),		// 환입-반품완료
		SALE_RETURN_EXCHANGE_COMPLETE("G720_60");	// 환입-교환완료

		private String value;

		private OrdDtlItemStat(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	/**
	 * 셀러툴 인증키. 인증키는 다음의 형식으로 처리
	 * 		x-auth-id
	 * 			샵링커: shoplinker, 사방넷: sabangnet, EC모니터: ecmonitor
	 * 		x-auth-key
	 * 			LOWER(FN_ENC_AES(x-auth-id 값))
	 * @author gagamel
	 *
	 */
	public enum SellerAuthKey {
		SHOPLINKER("a4e44d618fe36236e5141c863a014cd3"),	// 샵링커
		SABANGNET("fb92929d6201b71ef8e465addf1a0ce0"),	// 사방넷
		ECMONITOR("733c8aa0177e43a84555adc4dc60bd33");	// EC모니터

		private String value;

		private SellerAuthKey(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

}
